## org.apache.catalina.connector
Class ResponseFacade

    java.lang.Object
      org.apache.catalina.connector.ResponseFacade

All Implemented Interfaces:
  javax.servlet.ServletResponse

Direct Known Subclasses:
  HttpResponseFacade

public class ResponseFacade
extends java.lang.Object
implements javax.servlet.ServletResponse

Facade class that wraps a Catalina-internal Response object. All methods are delegated to the wrapped response.

Version:
  $Revision: 1.7 $ $Date: 2004/08/26 21:30:19 $
Author:
  Remy Maucherat

Field Summary
`protected Response` `resp` The wrapped response.
`protected javax.servlet.ServletResponse` `response` The wrapped response.

Constructor Summary
`ResponseFacade(Response response)` Construct a wrapper for the specified response.

Method Summary
`void` `clear()` Clear facade.
`void` `finish()`
`void` `flushBuffer()`
`int` `getBufferSize()`
`java.lang.String` `getCharacterEncoding()`
`java.util.Locale` `getLocale()`
`javax.servlet.ServletOutputStream` `getOutputStream()`
`java.io.PrintWriter` `getWriter()`
`boolean` `isCommitted()`
`boolean` `isFinished()`
`void` `reset()`
`void` `resetBuffer()`
`void` `setBufferSize(int size)`
`void` `setContentLength(int len)`
`void` `setContentType(java.lang.String type)`
`void` `setLocale(java.util.Locale loc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### response

    protected javax.servlet.ServletResponse response

  The wrapped response.

### resp

    protected Response resp

  The wrapped response.

Constructor Detail

### ResponseFacade

    public ResponseFacade(Response response)

  Construct a wrapper for the specified response.

Parameters:
  `response` - The response to be wrapped

Method Detail

### clear

    public void clear()

  Clear facade.

### finish

    public void finish()

### isFinished

    public boolean isFinished()

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### setContentLength

    public void setContentLength(int len)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`

### setContentType

    public void setContentType(java.lang.String type)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`

### setBufferSize

    public void setBufferSize(int size)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`

### setLocale

    public void setLocale(java.util.Locale loc)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.